Bug 1418884 - [abrt] nemo: gdk_x11_device_manager_xi2_translate_event(): nemo killed by SIGSEGV
Summary: [abrt] nemo: gdk_x11_device_manager_xi2_translate_event(): nemo killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:22d2b0e282c7dcce4a343d3671c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 00:37 UTC by Louis van Dyk
Modified: 2017-12-12 10:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:31:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (108.87 KB, text/plain)
2017-02-03 00:37 UTC, Louis van Dyk
no flags Details
File: cgroup (244 bytes, text/plain)
2017-02-03 00:37 UTC, Louis van Dyk
no flags Details
File: core_backtrace (3.26 KB, text/plain)
2017-02-03 00:37 UTC, Louis van Dyk
no flags Details
File: dso_list (10.93 KB, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details
File: environ (2.45 KB, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details
File: maps (56.94 KB, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details
File: mountinfo (3.96 KB, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details
File: open_fds (5.17 KB, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details
File: var_log_messages (297 bytes, text/plain)
2017-02-03 00:38 UTC, Louis van Dyk
no flags Details

Description Louis van Dyk 2017-02-03 00:37:46 UTC
Description of problem:
I think it was a "one off".  

Gnome-Shell tends to freeze often when using evolution.  
My solution is to switch to another console (CTRL_ALT_F4), login as root, and enter:
killall -3 gnome-shell

Most times this works and the session recovers.

This time, the GUI came back, but evolution had crashed, and so had Nemo.

Version-Release number of selected component:
nemo-3.2.2-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        nemo
crash_function: gdk_x11_device_manager_xi2_translate_event
executable:     /usr/bin/nemo
global_pid:     363
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gdk_x11_device_manager_xi2_translate_event at gdkdevicemanager-xi2.c:1703
 #1 _gdk_x11_event_translator_translate at gdkeventtranslator.c:51
 #2 gdk_event_source_translate_event at gdkeventsource.c:230
 #3 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #4 gdk_display_get_event at gdkdisplay.c:438
 #9 g_main_context_iteration at gmain.c:3990
 #10 g_application_run at gapplication.c:2381

Comment 1 Louis van Dyk 2017-02-03 00:37:54 UTC
Created attachment 1247308 [details]
File: backtrace

Comment 2 Louis van Dyk 2017-02-03 00:37:56 UTC
Created attachment 1247309 [details]
File: cgroup

Comment 3 Louis van Dyk 2017-02-03 00:37:58 UTC
Created attachment 1247310 [details]
File: core_backtrace

Comment 4 Louis van Dyk 2017-02-03 00:38:01 UTC
Created attachment 1247311 [details]
File: dso_list

Comment 5 Louis van Dyk 2017-02-03 00:38:03 UTC
Created attachment 1247312 [details]
File: environ

Comment 6 Louis van Dyk 2017-02-03 00:38:04 UTC
Created attachment 1247313 [details]
File: exploitable

Comment 7 Louis van Dyk 2017-02-03 00:38:06 UTC
Created attachment 1247314 [details]
File: limits

Comment 8 Louis van Dyk 2017-02-03 00:38:09 UTC
Created attachment 1247315 [details]
File: maps

Comment 9 Louis van Dyk 2017-02-03 00:38:11 UTC
Created attachment 1247316 [details]
File: mountinfo

Comment 10 Louis van Dyk 2017-02-03 00:38:13 UTC
Created attachment 1247317 [details]
File: namespaces

Comment 11 Louis van Dyk 2017-02-03 00:38:15 UTC
Created attachment 1247318 [details]
File: open_fds

Comment 12 Louis van Dyk 2017-02-03 00:38:16 UTC
Created attachment 1247319 [details]
File: proc_pid_status

Comment 13 Louis van Dyk 2017-02-03 00:38:18 UTC
Created attachment 1247320 [details]
File: var_log_messages

Comment 14 Fedora Admin XMLRPC Client 2017-07-06 07:44:13 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora End Of Life 2017-11-16 15:04:45 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:31:49 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.